
#include "project.h"
#include "LUT.h"

volatile int sineTableIndex;
int sineTableSize = 256;


CY_ISR(isr_1){
//    PWM_1_WriteCompare(sineWaveLUT[sineTableIndex]);    
//    (sineTableIndex==sineTableSize) ? sineTableIndex=0 : sineTableIndex++;
     sineTableIndex++;  // let it roll over
     sineTableIndex &=0xFF; // trim to 0-255
     PWM_1_WriteCompare(sineWaveLUT[sineTableIndex]);
};

int main(void)
{
    CyGlobalIntEnable;
    PWM_1_Start();
    isr_1_Start();  

    for(;;)
    {

    }
}

/* [] END OF FILE */
